Get V271 Vnflcm V2 Vnf Instances Vnf Instance Id

Get V271 Vnflcm V2 Vnf Instances Vnf Instance Id

Query VNF. The GET method retrieves information about a VNF instance by reading an "Individual VNF instance" resource. This method shall follow the provisions specified in the tables 5.4.3.3.2-1 and 5.4.3.3.2-2 for URI query parameters, request and response data structures, and response codes.

Request
URI
GET
https://{api_host}/tca/etsi/orgs/{vnflcmOrgId}/direct/v271/vnflcm/v2/vnf_instances/{vnfInstanceId}
COPY
Path Parameters
string
vnfInstanceId
Required

Identifier of the VNF instance. This identifier can be retrieved from the resource referenced by the "Location" HTTP header in the response to a POST request creating a new VNF instance resource. It can also be retrieved from the "id" attribute in the payload body of that response.

string
vnflcmOrgId
Required

The tenant identifier

Header Parameters
string
Accept
Required

Content-Types that are acceptable for the response. Reference: IETF RFC 7231

string
Authorization
Optional

The authorization token for the request. Reference: IETF RFC 7235

string
Content-Type
Optional

The MIME type of the body of the request. Reference: IETF RFC 7231

string
Version
Required

Version of the API requested to use when responding to this request.


Authentication
This operation uses the following authentication methods.
Responses
200

200 OK Shall be returned when information about an individual VNF instance has been read successfully. The response body shall contain a representation of the VNF instance, as defined in clause 5.5.2.2.

Returns VnfInstance of type(s) */*
{
    "id": "string",
    "vnfInstanceName": "string",
    "vnfInstanceDescription": "string",
    "vnfdId": "string",
    "vnfProvider": "string",
    "vnfProductName": "string",
    "vnfSoftwareVersion": "string",
    "vnfdVersion": "string",
    "vimConnectionInfo": [
        {
            "id": "string",
            "vimId": "string",
            "vimType": "string",
            "extra": {
                "deploymentProfileId": "string",
                "nodeProfileName": "string",
                "nodePoolId": "string",
                "nodePoolName": "string",
                "vimName": "string",
                "nodePoolBatchSize": 0,
                "nodePools": [
                    "string"
                ]
            }
        }
    ],
    "instantiationState": "string",
    "instantiatedVnfInfo": {
        "flavourId": "string",
        "vnfState": "string",
        "scaleStatus": [
            {
                "aspectId": "string",
                "scaleLevel": 0
            }
        ],
        "maxScaleLevels": [
            {
                "aspectId": "string",
                "scaleLevel": 0
            }
        ],
        "extCpInfo": [
            {
                "id": "string",
                "cpdId": "string",
                "cpProtocolInfo": [
                    {
                        "layerProtocol": "string",
                        "ipOverEthernet": {
                            "macAddress": "string",
                            "ipAddresses": [
                                {
                                    "type": "string",
                                    "addresses": [
                                        "string"
                                    ],
                                    "isDynamic": false,
                                    "addressRange": {
                                        "minAddress": "string",
                                        "maxAddress": "string"
                                    },
                                    "subnetId": "string"
                                }
                            ]
                        }
                    }
                ],
                "extLinkPortId": "string",
                "associatedVnfcCpId": "string",
                "associatedVnfVirtualLinkId": "string"
            }
        ],
        "extVirtualLinkInfo": [
            {
                "id": "string",
                "resourceHandle": {
                    "vimConnectionId": "string",
                    "resourceProviderId": "string",
                    "resourceId": "string",
                    "vimLevelResourceType": "string"
                },
                "extLinkPorts": [
                    {
                        "id": "string",
                        "resourceHandle": {
                            "vimConnectionId": "string",
                            "resourceProviderId": "string",
                            "resourceId": "string",
                            "vimLevelResourceType": "string"
                        },
                        "cpInstanceId": "string"
                    }
                ]
            }
        ],
        "extManagedVirtualLinkInfo": [
            {
                "id": "string",
                "vnfVirtualLinkDescId": "string",
                "networkResource": {
                    "vimConnectionId": "string",
                    "resourceProviderId": "string",
                    "resourceId": "string",
                    "vimLevelResourceType": "string"
                },
                "vnfLinkPorts": [
                    {
                        "id": "string",
                        "resourceHandle": {
                            "vimConnectionId": "string",
                            "resourceProviderId": "string",
                            "resourceId": "string",
                            "vimLevelResourceType": "string"
                        },
                        "cpInstanceId": "string",
                        "cpInstanceType": "string"
                    }
                ]
            }
        ],
        "monitoringParameters": [
            {
                "id": "string",
                "name": "string",
                "performanceMetric": "string"
            }
        ],
        "localizationLanguage": "string",
        "vnfcResourceInfo": [
            {
                "id": "string",
                "vduId": "string",
                "computeResource": {
                    "vimConnectionId": "string",
                    "resourceProviderId": "string",
                    "resourceId": "string",
                    "vimLevelResourceType": "string"
                },
                "zoneId": "string",
                "storageResourceIds": [
                    "string"
                ],
                "reservationId": "string",
                "vnfcCpInfo": [
                    {
                        "id": "string",
                        "cpdId": "string",
                        "vnfExtCpId": "string",
                        "cpProtocolInfo": [
                            {
                                "layerProtocol": "string",
                                "ipOverEthernet": {
                                    "macAddress": "string",
                                    "ipAddresses": [
                                        {
                                            "type": "string",
                                            "addresses": [
                                                "string"
                                            ],
                                            "isDynamic": false,
                                            "addressRange": {
                                                "minAddress": "string",
                                                "maxAddress": "string"
                                            },
                                            "subnetId": "string"
                                        }
                                    ]
                                }
                            }
                        ],
                        "vnfLinkPortId": "string"
                    }
                ],
                "metadata": {
                    "dispatchType": "string",
                    "namespace": "string",
                    "chartName": "string",
                    "chartVersion": "string",
                    "repoUrl": "string",
                    "username": "string",
                    "helmVersion": "string",
                    "instantiationState": "string"
                }
            }
        ],
        "virtualLinkResourceInfo": [
            {
                "id": "string",
                "vnfVirtualLinkDescId": "string",
                "networkResource": {
                    "vimConnectionId": "string",
                    "resourceProviderId": "string",
                    "resourceId": "string",
                    "vimLevelResourceType": "string"
                },
                "zoneId": "string",
                "reservationId": "string",
                "vnfLinkPorts": [
                    {
                        "id": "string",
                        "resourceHandle": {
                            "vimConnectionId": "string",
                            "resourceProviderId": "string",
                            "resourceId": "string",
                            "vimLevelResourceType": "string"
                        },
                        "cpInstanceId": "string",
                        "cpInstanceType": "string"
                    }
                ]
            }
        ],
        "virtualStorageResourceInfo": [
            {
                "id": "string",
                "virtualStorageDescId": "string",
                "storageResource": {
                    "vimConnectionId": "string",
                    "resourceProviderId": "string",
                    "resourceId": "string",
                    "vimLevelResourceType": "string"
                },
                "zoneId": "string",
                "reservationId": "string"
            }
        ]
    },
    "metadata": {
        "vnfPkgId": "string",
        "vnfCatalogName": "string",
        "managedBy": {
            "extensionSubtype": "string",
            "extensionName": "string"
        },
        "nfType": "string",
        "lcmOperation": "string",
        "lcmOperationState": "string",
        "isUsedByNS": "string",
        "attachedNSCount": 0,
        "isolationMode": "string",
        "creationUser": "string",
        "creationTenantId": "string",
        "extVirtualLinks": [
            {
                "id": "string",
                "vimConnectionId": "string",
                "resourceProviderId": "string",
                "resourceId": "string",
                "extCps": [
                    {
                        "cpdId": "string",
                        "cpConfig": [
                            {
                                "cpInstanceId": "string",
                                "linkPortId": "string",
                                "cpProtocolData": [
                                    {
                                        "layerProtocol": "string",
                                        "ipOverEthernet": {
                                            "macAddress": "string",
                                            "ipAddresses": [
                                                {
                                                    "type": "string",
                                                    "fixedAddresses": [
                                                        "string"
                                                    ],
                                                    "numDynamicAddresses": 0,
                                                    "addressRange": {
                                                        "minAddress": "string",
                                                        "maxAddress": "string"
                                                    },
                                                    "subnetId": "string"
                                                }
                                            ]
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "extLinkPorts": [
                    {
                        "id": "string",
                        "resourceHandle": {
                            "vimConnectionId": "string",
                            "resourceProviderId": "string",
                            "resourceId": "string",
                            "vimLevelResourceType": "string"
                        }
                    }
                ]
            }
        ],
        "tags": [
            {
                "name": "string",
                "autoCreated": false
            }
        ]
    },
    "_links": {
        "self": {
            "href": "string"
        },
        "indicators": {
            "href": "string"
        },
        "instantiate": {
            "href": "string"
        },
        "terminate": {
            "href": "string"
        },
        "scale": {
            "href": "string"
        },
        "scaleToLevel": {
            "href": "string"
        },
        "changeFlavour": {
            "href": "string"
        },
        "heal": {
            "href": "string"
        },
        "operate": {
            "href": "string"
        },
        "changeExtConn": {
            "href": "string"
        }
    }
}
id
Required

id

string
vnfInstanceName
Optional

Name of the VNF instance. This attribute can be modified with the PATCH method.

string
vnfInstanceDescription
Optional

Human-readable description of the VNF instance. This attribute can be modified with the PATCH method.

vnfdId
Required

vnfdId

string
vnfProvider
Required

Provider of the VNF and the VNFD. The value is copied from the VNFD.

string
vnfProductName
Required

Name to identify the VNF Product. The value is copied from the VNFD.

vnfSoftwareVersion
Required

vnfSoftwareVersion

vnfdVersion
Required

vnfdVersion

vnfConfigurableProperties
Optional

vnfConfigurableProperties

vimConnectionInfo
Optional

Information about VIM connections to be used for managing the resources for the VNF instance. This attribute shall only be supported and present if VNF-related resource management in direct mode is applicable. This attribute can be modified with the PATCH method.

string
instantiationState
Required

The instantiation state of the VNF.

Possible values are : NOT_INSTANTIATED, INSTANTIATED,
object
instantiatedVnfInfo
Optional

Information specific to an instantiated VNF instance. This attribute shall be present if the instantiateState attribute value is INSTANTIATED.

metadata
Optional

metadata

extensions
Optional

extensions

object
_links
Optional

Links to resources related to this resource.

Response Headers

string
Content-Type

The MIME type of the body of the response.

string
WWW-Authenticate

Challenge if the corresponding HTTP request has not provided authorization, or error details if the corresponding HTTP request has provided an invalid authorization token.

string
Version

Version of the API used in the response.


400
Returns 400 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


401
Returns 401 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


403
Returns 403 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


404
Returns 404 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


405
Returns 405 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


406
Returns 406 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


416
Returns 416 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


500
Returns 500 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


503
Returns 503 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.


504
Returns 504 of type(s) */*
{
    "type": "string",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string"
}
string As URI As URI
type
Optional

A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".

string
title
Optional

A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).

integer
status
Required

The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.

string
detail
Required

A human-readable explanation specific to this occurrence of the problem.

string As URI As URI
instance
Optional

A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.